%define upstream_name    Exporter-Easy
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Takes even more drudgery out of Exporting symbols
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Exporter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Exporter::Easy makes using Exporter easy. In it's simplest case it allows
you to drop the boilerplate code that comes with using Exporter, so

  require Exporter;
  use base qw( Exporter );
  use vars qw( @EXPORT );
  @EXPORT = ( 'init' );

becomes

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.180.0-5.mga9
+ Revision: 1803498
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-4.mga8
+ Revision: 1494454
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-3.mga7
+ Revision: 1267872
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-2.mga6
+ Revision: 1027098
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 tv <tv> 0.180.0-1.mga6
+ Revision: 972393
- new release

* Tue Feb 02 2016 umeabot <umeabot> 0.170.0-4.mga6
+ Revision: 932170
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-3.mga5
+ Revision: 745942
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 684668
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 650366
- update to 0.17

* Fri May 23 2014 tv <tv> 0.160.0-1.mga5
+ Revision: 625197
- imported package perl-Exporter-Easy


* Fri May 23 2014 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
